import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listTarget(query) {
  return request({
    url: '/train/target/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getTarget(id) {
  return request({
    url: '/train/target/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addTarget(data) {
  return request({
    url: '/train/target',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateTarget(data) {
  return request({
    url: '/train/target',
    method: 'put',
    data: data
  })
}

// 修改【请填写功能名称】
export function editTargetStatus(data) {
  return request({
    url: '/train/target/editTargetStatus',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delTarget(id) {
  return request({
    url: '/train/target/' + id,
    method: 'delete'
  })
}
